Package org.drinkless.tdlib

# Class TdApi.OauthLinkInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.OauthLinkInfo

Enclosing class:
  `TdApi`

public static class TdApi.OauthLinkInfo extends TdApi.Object
Information about the OAuth authorization.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of a bot linked with the website.
  `String`
  `browser`
  The version of a browser used for the authorization.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `domain`
  A domain of the URL.
  `boolean`
  `fromApp`
  True, if the authorization originates from an application.
  `String`
  `ipAddress`
  IP address from which the authorization is performed, in human-readable format.
  `String`
  `location`
  Human-readable description of a country and a region from which the authorization is performed, based on the IP address.
  `boolean`
  `matchCodeFirst`
  True, if code matching dialog must be shown first and checkOauthRequestMatchCode must be called before acceptOauthRequest.
  `String[]`
  `matchCodes`
  The list of codes to match; may be empty if irrelevant.
  `String`
  `platform`
  Operating system the browser is running on.
  `boolean`
  `requestPhoneNumberAccess`
  True, if the user must be asked for the permission to share their phone number.
  `boolean`
  `requestWriteAccess`
  True, if the user must be asked for the permission to the bot to send them messages.
  `String`
  `url`
  An HTTP URL where the user authorizes.
  `long`
  `userId`
  Identifier of the user for which the link was generated; may be 0 if unknown.
  `String`
  `verifiedAppName`
  Verified name of the application; if empty, then "Unverified App" must be shown instead.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OauthLinkInfo()`
  Information about the OAuth authorization.
  `OauthLinkInfo(long userId, String url, String domain, boolean fromApp, String verifiedAppName, long botUserId, boolean requestWriteAccess, boolean requestPhoneNumberAccess, String browser, String platform, String ipAddress, String location, boolean matchCodeFirst, String[] matchCodes)`
  Information about the OAuth authorization.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user for which the link was generated; may be 0 if unknown. The corresponding user may be unknown. If the user is logged in the application, then they must be chosen for authorization by default.

  - ### url

    public String url
    An HTTP URL where the user authorizes.

  - ### domain

    public String domain
    A domain of the URL.

  - ### fromApp

    public boolean fromApp
    True, if the authorization originates from an application.

  - ### verifiedAppName

    public String verifiedAppName
    Verified name of the application; if empty, then "Unverified App" must be shown instead.

  - ### botUserId

    public long botUserId
    User identifier of a bot linked with the website.

  - ### requestWriteAccess

    public boolean requestWriteAccess
    True, if the user must be asked for the permission to the bot to send them messages.

  - ### requestPhoneNumberAccess

    public boolean requestPhoneNumberAccess
    True, if the user must be asked for the permission to share their phone number.

  - ### browser

    public String browser
    The version of a browser used for the authorization.

  - ### platform

    public String platform
    Operating system the browser is running on.

  - ### ipAddress

    public String ipAddress
    IP address from which the authorization is performed, in human-readable format.

  - ### location

    public String location
    Human-readable description of a country and a region from which the authorization is performed, based on the IP address.

  - ### matchCodeFirst

    public boolean matchCodeFirst
    True, if code matching dialog must be shown first and checkOauthRequestMatchCode must be called before acceptOauthRequest. Otherwise, checkOauthRequestMatchCode must not be called.

  - ### matchCodes

    public String[] matchCodes
    The list of codes to match; may be empty if irrelevant.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OauthLinkInfo

    public OauthLinkInfo()
    Information about the OAuth authorization.

  - ### OauthLinkInfo

    public OauthLinkInfo(long userId, String url, String domain, boolean fromApp, String verifiedAppName, long botUserId, boolean requestWriteAccess, boolean requestPhoneNumberAccess, String browser, String platform, String ipAddress, String location, boolean matchCodeFirst, String[] matchCodes)
    Information about the OAuth authorization.
    Parameters:
      `userId` - Identifier of the user for which the link was generated; may be 0 if unknown. The corresponding user may be unknown. If the user is logged in the application, then they must be chosen for authorization by default.
      `url` - An HTTP URL where the user authorizes.
      `domain` - A domain of the URL.
      `fromApp` - True, if the authorization originates from an application.
      `verifiedAppName` - Verified name of the application; if empty, then "Unverified App" must be shown instead.
      `botUserId` - User identifier of a bot linked with the website.
      `requestWriteAccess` - True, if the user must be asked for the permission to the bot to send them messages.
      `requestPhoneNumberAccess` - True, if the user must be asked for the permission to share their phone number.
      `browser` - The version of a browser used for the authorization.
      `platform` - Operating system the browser is running on.
      `ipAddress` - IP address from which the authorization is performed, in human-readable format.
      `location` - Human-readable description of a country and a region from which the authorization is performed, based on the IP address.
      `matchCodeFirst` - True, if code matching dialog must be shown first and checkOauthRequestMatchCode must be called before acceptOauthRequest. Otherwise, checkOauthRequestMatchCode must not be called.
      `matchCodes` - The list of codes to match; may be empty if irrelevant.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR